1#! /bin/sh
2# Generated by configure.
3# Run this file to recreate the current configuration.
4# Compiler output produced by configure, useful for debugging
5# configure, is in config.log if it exists.
6
7debug=false
8ac_cs_recheck=false
9ac_cs_silent=false
10SHELL=${CONFIG_SHELL-/bin/sh}
11## --------------------- ##
12## M4sh Initialization.  ##
13## --------------------- ##
14
15# Be Bourne compatible
16if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
17  emulate sh
18  NULLCMD=:
19  # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
20  # is contrary to our usage.  Disable this feature.
21  alias -g '${1+"$@"}'='"$@"'
22elif test -n "${BASH_VERSION+set}" && (set -o posix) >/dev/null 2>&1; then
23  set -o posix
24fi
25DUALCASE=1; export DUALCASE # for MKS sh
26
27# Support unset when possible.
28if ( (MAIL=60; unset MAIL) || exit) >/dev/null 2>&1; then
29  as_unset=unset
30else
31  as_unset=false
32fi
33
34
35# Work around bugs in pre-3.0 UWIN ksh.
36$as_unset ENV MAIL MAILPATH
37PS1='$ '
38PS2='> '
39PS4='+ '
40
41# NLS nuisances.
42for as_var in \
43  LANG LANGUAGE LC_ADDRESS LC_ALL LC_COLLATE LC_CTYPE LC_IDENTIFICATION \
44  LC_MEASUREMENT LC_MESSAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER \
45  LC_TELEPHONE LC_TIME
46do
47  if (set +x; test -z "`(eval $as_var=C; export $as_var) 2>&1`"); then
48    eval $as_var=C; export $as_var
49  else
50    $as_unset $as_var
51  fi
52done
53
54# Required to use basename.
55if expr a : '\(a\)' >/dev/null 2>&1; then
56  as_expr=expr
57else
58  as_expr=false
59fi
60
61if (basename /) >/dev/null 2>&1 && test "X`basename / 2>&1`" = "X/"; then
62  as_basename=basename
63else
64  as_basename=false
65fi
66
67
68# Name of the executable.
69as_me=`$as_basename "$0" ||
70$as_expr X/"$0" : '.*/\([^/][^/]*\)/*$' \| \
71	 X"$0" : 'X\(//\)$' \| \
72	 X"$0" : 'X\(/\)$' \| \
73	 .     : '\(.\)' 2>/dev/null ||
74echo X/"$0" |
75    sed '/^.*\/\([^/][^/]*\)\/*$/{ s//\1/; q; }
76  	  /^X\/\(\/\/\)$/{ s//\1/; q; }
77  	  /^X\/\(\/\).*/{ s//\1/; q; }
78  	  s/.*/./; q'`
79
80
81# PATH needs CR, and LINENO needs CR and PATH.
82# Avoid depending upon Character Ranges.
83as_cr_letters='abcdefghijklmnopqrstuvwxyz'
84as_cr_LETTERS='ABCDEFGHIJKLMNOPQRSTUVWXYZ'
85as_cr_Letters=$as_cr_letters$as_cr_LETTERS
86as_cr_digits='0123456789'
87as_cr_alnum=$as_cr_Letters$as_cr_digits
88
89# The user is always right.
90if test "${PATH_SEPARATOR+set}" != set; then
91  echo "#! /bin/sh" >conf$$.sh
92  echo  "exit 0"   >>conf$$.sh
93  chmod +x conf$$.sh
94  if (PATH="/nonexistent;."; conf$$.sh) >/dev/null 2>&1; then
95    PATH_SEPARATOR=';'
96  else
97    PATH_SEPARATOR=:
98  fi
99  rm -f conf$$.sh
100fi
101
102
103  as_lineno_1=$LINENO
104  as_lineno_2=$LINENO
105  as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
106  test "x$as_lineno_1" != "x$as_lineno_2" &&
107  test "x$as_lineno_3"  = "x$as_lineno_2"  || {
108  # Find who we are.  Look in the path if we contain no path at all
109  # relative or not.
110  case $0 in
111    *[\\/]* ) as_myself=$0 ;;
112    *) as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
113for as_dir in $PATH
114do
115  IFS=$as_save_IFS
116  test -z "$as_dir" && as_dir=.
117  test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break
118done
119
120       ;;
121  esac
122  # We did not find ourselves, most probably we were run as `sh COMMAND'
123  # in which case we are not to be found in the path.
124  if test "x$as_myself" = x; then
125    as_myself=$0
126  fi
127  if test ! -f "$as_myself"; then
128    { { echo "$as_me:$LINENO: error: cannot find myself; rerun with an absolute path" >&5
129echo "$as_me: error: cannot find myself; rerun with an absolute path" >&2;}
130   { (exit 1); exit 1; }; }
131  fi
132  case $CONFIG_SHELL in
133  '')
134    as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
135for as_dir in /bin$PATH_SEPARATOR/usr/bin$PATH_SEPARATOR$PATH
136do
137  IFS=$as_save_IFS
138  test -z "$as_dir" && as_dir=.
139  for as_base in sh bash ksh sh5; do
140	 case $as_dir in
141	 /*)
142	   if ("$as_dir/$as_base" -c '
143  as_lineno_1=$LINENO
144  as_lineno_2=$LINENO
145  as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
146  test "x$as_lineno_1" != "x$as_lineno_2" &&
147  test "x$as_lineno_3"  = "x$as_lineno_2" ') 2>/dev/null; then
148	     $as_unset BASH_ENV || test "${BASH_ENV+set}" != set || { BASH_ENV=; export BASH_ENV; }
149	     $as_unset ENV || test "${ENV+set}" != set || { ENV=; export ENV; }
150	     CONFIG_SHELL=$as_dir/$as_base
151	     export CONFIG_SHELL
152	     exec "$CONFIG_SHELL" "$0" ${1+"$@"}
153	   fi;;
154	 esac
155       done
156done
157;;
158  esac
159
160  # Create $as_me.lineno as a copy of $as_myself, but with $LINENO
161  # uniformly replaced by the line number.  The first 'sed' inserts a
162  # line-number line before each line; the second 'sed' does the real
163  # work.  The second script uses 'N' to pair each line-number line
164  # with the numbered line, and appends trailing '-' during
165  # substitution so that $LINENO is not a special case at line end.
166  # (Raja R Harinath suggested sed '=', and Paul Eggert wrote the
167  # second 'sed' script.  Blame Lee E. McMahon for sed's syntax.  :-)
168  sed '=' <$as_myself |
169    sed '
170      N
171      s,$,-,
172      : loop
173      s,^\(['$as_cr_digits']*\)\(.*\)[$]LINENO\([^'$as_cr_alnum'_]\),\1\2\1\3,
174      t loop
175      s,-$,,
176      s,^['$as_cr_digits']*\n,,
177    ' >$as_me.lineno &&
178  chmod +x $as_me.lineno ||
179    { { echo "$as_me:$LINENO: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&5
180echo "$as_me: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&2;}
181   { (exit 1); exit 1; }; }
182
183  # Don't try to exec as it changes $[0], causing all sort of problems
184  # (the dirname of $[0] is not the place where we might find the
185  # original and so on.  Autoconf is especially sensible to this).
186  . ./$as_me.lineno
187  # Exit status is that of the last command.
188  exit
189}
190
191
192case `echo "testing\c"; echo 1,2,3`,`echo -n testing; echo 1,2,3` in
193  *c*,-n*) ECHO_N= ECHO_C='
194' ECHO_T='	' ;;
195  *c*,*  ) ECHO_N=-n ECHO_C= ECHO_T= ;;
196  *)       ECHO_N= ECHO_C='\c' ECHO_T= ;;
197esac
198
199if expr a : '\(a\)' >/dev/null 2>&1; then
200  as_expr=expr
201else
202  as_expr=false
203fi
204
205rm -f conf$$ conf$$.exe conf$$.file
206echo >conf$$.file
207if ln -s conf$$.file conf$$ 2>/dev/null; then
208  # We could just check for DJGPP; but this test a) works b) is more generic
209  # and c) will remain valid once DJGPP supports symlinks (DJGPP 2.04).
210  if test -f conf$$.exe; then
211    # Don't use ln at all; we don't have any links
212    as_ln_s='cp -p'
213  else
214    as_ln_s='ln -s'
215  fi
216elif ln conf$$.file conf$$ 2>/dev/null; then
217  as_ln_s=ln
218else
219  as_ln_s='cp -p'
220fi
221rm -f conf$$ conf$$.exe conf$$.file
222
223if mkdir -p . 2>/dev/null; then
224  as_mkdir_p=:
225else
226  test -d ./-p && rmdir ./-p
227  as_mkdir_p=false
228fi
229
230as_executable_p="test -f"
231
232# Sed expression to map a string onto a valid CPP name.
233as_tr_cpp="eval sed 'y%*$as_cr_letters%P$as_cr_LETTERS%;s%[^_$as_cr_alnum]%_%g'"
234
235# Sed expression to map a string onto a valid variable name.
236as_tr_sh="eval sed 'y%*+%pp%;s%[^_$as_cr_alnum]%_%g'"
237
238
239# IFS
240# We need space, tab and new line, in precisely that order.
241as_nl='
242'
243IFS=" 	$as_nl"
244
245# CDPATH.
246$as_unset CDPATH
247
248exec 6>&1
249
250# Open the log real soon, to keep \$[0] and so on meaningful, and to
251# report actual input values of CONFIG_FILES etc. instead of their
252# values after options handling.  Logging --version etc. is OK.
253exec 5>>config.log
254{
255  echo
256  sed 'h;s/./-/g;s/^.../## /;s/...$/ ##/;p;x;p;x' <<_ASBOX
257## Running $as_me. ##
258_ASBOX
259} >&5
260cat >&5 <<_CSEOF
261
262This file was extended by expat $as_me 2.0.1, which was
263generated by GNU Autoconf 2.59.  Invocation command line was
264
265  CONFIG_FILES    = $CONFIG_FILES
266  CONFIG_HEADERS  = $CONFIG_HEADERS
267  CONFIG_LINKS    = $CONFIG_LINKS
268  CONFIG_COMMANDS = $CONFIG_COMMANDS
269  $ $0 $@
270
271_CSEOF
272echo "on `(hostname || uname -n) 2>/dev/null | sed 1q`" >&5
273echo >&5
274config_files=" Makefile"
275config_headers=" expat_config.h"
276
277ac_cs_usage="\
278\`$as_me' instantiates files from templates according to the
279current configuration.
280
281Usage: $0 [OPTIONS] [FILE]...
282
283  -h, --help       print this help, then exit
284  -V, --version    print version number, then exit
285  -q, --quiet      do not print progress messages
286  -d, --debug      don't remove temporary files
287      --recheck    update $as_me by reconfiguring in the same conditions
288  --file=FILE[:TEMPLATE]
289		   instantiate the configuration file FILE
290  --header=FILE[:TEMPLATE]
291		   instantiate the configuration header FILE
292
293Configuration files:
294$config_files
295
296Configuration headers:
297$config_headers
298
299Report bugs to <bug-autoconf@gnu.org>."
300ac_cs_version="\
301expat config.status 2.0.1
302configured by ./configure, generated by GNU Autoconf 2.59,
303  with options \"'--host=mipsel-uclibc-linux' '--build=mipsel-uclibc-linux-gnu26' '--target=mipsel-uclibc-linux-gnu26' 'CC=mipsel-linux-uclibc-gcc' 'CXX=mipsel-linux-uclibc-g++' '--disable-nls' '--enable-shared' '--enable-static' 'build_alias=mipsel-uclibc-linux-gnu26' 'host_alias=mipsel-uclibc-linux' 'target_alias=mipsel-uclibc-linux-gnu26'\"
304
305Copyright (C) 2003 Free Software Foundation, Inc.
306This config.status script is free software; the Free Software Foundation
307gives unlimited permission to copy, distribute and modify it."
308srcdir=.
309INSTALL="/usr/bin/install -c"
310# If no file are specified by the user, then we need to provide default
311# value.  By we need to know if files were specified by the user.
312ac_need_defaults=:
313while test $# != 0
314do
315  case $1 in
316  --*=*)
317    ac_option=`expr "x$1" : 'x\([^=]*\)='`
318    ac_optarg=`expr "x$1" : 'x[^=]*=\(.*\)'`
319    ac_shift=:
320    ;;
321  -*)
322    ac_option=$1
323    ac_optarg=$2
324    ac_shift=shift
325    ;;
326  *) # This is not an option, so the user has probably given explicit
327     # arguments.
328     ac_option=$1
329     ac_need_defaults=false;;
330  esac
331
332  case $ac_option in
333  # Handling of the options.
334  -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
335    ac_cs_recheck=: ;;
336  --version | --vers* | -V )
337    echo "$ac_cs_version"; exit 0 ;;
338  --he | --h)
339    # Conflict between --help and --header
340    { { echo "$as_me:$LINENO: error: ambiguous option: $1
341Try \`$0 --help' for more information." >&5
342echo "$as_me: error: ambiguous option: $1
343Try \`$0 --help' for more information." >&2;}
344   { (exit 1); exit 1; }; };;
345  --help | --hel | -h )
346    echo "$ac_cs_usage"; exit 0 ;;
347  --debug | --d* | -d )
348    debug=: ;;
349  --file | --fil | --fi | --f )
350    $ac_shift
351    CONFIG_FILES="$CONFIG_FILES $ac_optarg"
352    ac_need_defaults=false;;
353  --header | --heade | --head | --hea )
354    $ac_shift
355    CONFIG_HEADERS="$CONFIG_HEADERS $ac_optarg"
356    ac_need_defaults=false;;
357  -q | -quiet | --quiet | --quie | --qui | --qu | --q \
358  | -silent | --silent | --silen | --sile | --sil | --si | --s)
359    ac_cs_silent=: ;;
360
361  # This is an error.
362  -*) { { echo "$as_me:$LINENO: error: unrecognized option: $1
363Try \`$0 --help' for more information." >&5
364echo "$as_me: error: unrecognized option: $1
365Try \`$0 --help' for more information." >&2;}
366   { (exit 1); exit 1; }; } ;;
367
368  *) ac_config_targets="$ac_config_targets $1" ;;
369
370  esac
371  shift
372done
373
374ac_configure_extra_args=
375
376if $ac_cs_silent; then
377  exec 6>/dev/null
378  ac_configure_extra_args="$ac_configure_extra_args --silent"
379fi
380
381if $ac_cs_recheck; then
382  echo "running /bin/sh ./configure " '--host=mipsel-uclibc-linux' '--build=mipsel-uclibc-linux-gnu26' '--target=mipsel-uclibc-linux-gnu26' 'CC=mipsel-linux-uclibc-gcc' 'CXX=mipsel-linux-uclibc-g++' '--disable-nls' '--enable-shared' '--enable-static' 'build_alias=mipsel-uclibc-linux-gnu26' 'host_alias=mipsel-uclibc-linux' 'target_alias=mipsel-uclibc-linux-gnu26' $ac_configure_extra_args " --no-create --no-recursion" >&6
383  exec /bin/sh ./configure '--host=mipsel-uclibc-linux' '--build=mipsel-uclibc-linux-gnu26' '--target=mipsel-uclibc-linux-gnu26' 'CC=mipsel-linux-uclibc-gcc' 'CXX=mipsel-linux-uclibc-g++' '--disable-nls' '--enable-shared' '--enable-static' 'build_alias=mipsel-uclibc-linux-gnu26' 'host_alias=mipsel-uclibc-linux' 'target_alias=mipsel-uclibc-linux-gnu26' $ac_configure_extra_args --no-create --no-recursion
384fi
385
386for ac_config_target in $ac_config_targets
387do
388  case "$ac_config_target" in
389  # Handling of arguments.
390  "Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;;
391  "expat_config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS expat_config.h" ;;
392  *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
393echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
394   { (exit 1); exit 1; }; };;
395  esac
396done
397
398# If the user did not use the arguments to specify the items to instantiate,
399# then the envvar interface is used.  Set only those that are not.
400# We use the long form for the default assignment because of an extremely
401# bizarre bug on SunOS 4.1.3.
402if $ac_need_defaults; then
403  test "${CONFIG_FILES+set}" = set || CONFIG_FILES=$config_files
404  test "${CONFIG_HEADERS+set}" = set || CONFIG_HEADERS=$config_headers
405fi
406
407# Have a temporary directory for convenience.  Make it in the build tree
408# simply because there is no reason to put it here, and in addition,
409# creating and moving files from /tmp can sometimes cause problems.
410# Create a temporary directory, and hook for its removal unless debugging.
411$debug ||
412{
413  trap 'exit_status=$?; rm -rf $tmp && exit $exit_status' 0
414  trap '{ (exit 1); exit 1; }' 1 2 13 15
415}
416
417# Create a (secure) tmp directory for tmp files.
418
419{
420  tmp=`(umask 077 && mktemp -d -q "./confstatXXXXXX") 2>/dev/null` &&
421  test -n "$tmp" && test -d "$tmp"
422}  ||
423{
424  tmp=./confstat$$-$RANDOM
425  (umask 077 && mkdir $tmp)
426} ||
427{
428   echo "$me: cannot create a temporary directory in ." >&2
429   { (exit 1); exit 1; }
430}
431
432
433#
434# CONFIG_FILES section.
435#
436
437# No need to generate the scripts if there are no CONFIG_FILES.
438# This happens for instance when ./config.status config.h
439if test -n "$CONFIG_FILES"; then
440  # Protect against being on the right side of a sed subst in config.status.
441  sed 's/,@/@@/; s/@,/@@/; s/,;t t$/@;t t/; /@;t t$/s/[\\&,]/\\&/g;
442   s/@@/,@/; s/@@/@,/; s/@;t t$/,;t t/' >$tmp/subs.sed <<\CEOF
443s,@SHELL@,/bin/sh,;t t
444s,@PATH_SEPARATOR@,:,;t t
445s,@PACKAGE_NAME@,expat,;t t
446s,@PACKAGE_TARNAME@,expat,;t t
447s,@PACKAGE_VERSION@,2.0.1,;t t
448s,@PACKAGE_STRING@,expat 2.0.1,;t t
449s,@PACKAGE_BUGREPORT@,expat-bugs@libexpat.org,;t t
450s,@exec_prefix@,${prefix},;t t
451s,@prefix@,/usr/local,;t t
452s,@program_transform_name@,s,x,x,,;t t
453s,@bindir@,${exec_prefix}/bin,;t t
454s,@sbindir@,${exec_prefix}/sbin,;t t
455s,@libexecdir@,${exec_prefix}/libexec,;t t
456s,@datadir@,${prefix}/share,;t t
457s,@sysconfdir@,${prefix}/etc,;t t
458s,@sharedstatedir@,${prefix}/com,;t t
459s,@localstatedir@,${prefix}/var,;t t
460s,@libdir@,${exec_prefix}/lib,;t t
461s,@includedir@,${prefix}/include,;t t
462s,@oldincludedir@,/usr/include,;t t
463s,@infodir@,${prefix}/info,;t t
464s,@mandir@,${prefix}/man,;t t
465s,@build_alias@,mipsel-uclibc-linux-gnu26,;t t
466s,@host_alias@,mipsel-uclibc-linux,;t t
467s,@target_alias@,mipsel-uclibc-linux-gnu26,;t t
468s,@DEFS@,-DHAVE_CONFIG_H,;t t
469s,@ECHO_C@,,;t t
470s,@ECHO_N@,-n,;t t
471s,@ECHO_T@,,;t t
472s,@LIBS@,,;t t
473s,@build@,mipsel-uclibc-linux-gnu26,;t t
474s,@build_cpu@,mipsel,;t t
475s,@build_vendor@,uclibc,;t t
476s,@build_os@,linux-gnu26,;t t
477s,@host@,mipsel-uclibc-linux-gnu,;t t
478s,@host_cpu@,mipsel,;t t
479s,@host_vendor@,uclibc,;t t
480s,@host_os@,linux-gnu,;t t
481s,@CC@,mipsel-linux-uclibc-gcc,;t t
482s,@CFLAGS@,-g -O2 -Wall -Wmissing-prototypes -Wstrict-prototypes -fexceptions,;t t
483s,@LDFLAGS@,,;t t
484s,@CPPFLAGS@,,;t t
485s,@ac_ct_CC@,,;t t
486s,@EXEEXT@,,;t t
487s,@OBJEXT@,o,;t t
488s,@EGREP@,grep -E,;t t
489s,@LN_S@,ln -s,;t t
490s,@ECHO@,echo,;t t
491s,@AR@,ar,;t t
492s,@ac_ct_AR@,ar,;t t
493s,@RANLIB@,ranlib,;t t
494s,@ac_ct_RANLIB@,ranlib,;t t
495s,@STRIP@,strip,;t t
496s,@ac_ct_STRIP@,strip,;t t
497s,@DLLTOOL@,dlltool,;t t
498s,@ac_ct_DLLTOOL@,,;t t
499s,@AS@,as,;t t
500s,@ac_ct_AS@,,;t t
501s,@OBJDUMP@,objdump,;t t
502s,@ac_ct_OBJDUMP@,,;t t
503s,@CPP@,mipsel-linux-uclibc-gcc -E,;t t
504s,@CXX@,mipsel-linux-uclibc-g++,;t t
505s,@CXXFLAGS@,-g -O2 -Wall -fexceptions,;t t
506s,@ac_ct_CXX@,,;t t
507s,@CXXCPP@,mipsel-linux-uclibc-g++ -E,;t t
508s,@F77@,f95,;t t
509s,@FFLAGS@,-g -O2,;t t
510s,@ac_ct_F77@,f95,;t t
511s,@LIBTOOL@,$(SHELL) $(top_builddir)/libtool,;t t
512s,@LIBCURRENT@,6,;t t
513s,@LIBREVISION@,2,;t t
514s,@LIBAGE@,5,;t t
515s,@INSTALL_PROGRAM@,${INSTALL},;t t
516s,@INSTALL_SCRIPT@,${INSTALL},;t t
517s,@INSTALL_DATA@,${INSTALL} -m 644,;t t
518s,@FILEMAP@,readfilemap,;t t
519s,@LIBOBJS@,,;t t
520s,@LTLIBOBJS@,,;t t
521CEOF
522
523  # Split the substitutions into bite-sized pieces for seds with
524  # small command number limits, like on Digital OSF/1 and HP-UX.
525  ac_max_sed_lines=48
526  ac_sed_frag=1 # Number of current file.
527  ac_beg=1 # First line for current file.
528  ac_end=$ac_max_sed_lines # Line after last line for current file.
529  ac_more_lines=:
530  ac_sed_cmds=
531  while $ac_more_lines; do
532    if test $ac_beg -gt 1; then
533      sed "1,${ac_beg}d; ${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
534    else
535      sed "${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
536    fi
537    if test ! -s $tmp/subs.frag; then
538      ac_more_lines=false
539    else
540      # The purpose of the label and of the branching condition is to
541      # speed up the sed processing (if there are no `@' at all, there
542      # is no need to browse any of the substitutions).
543      # These are the two extra sed commands mentioned above.
544      (echo ':t
545  /@[a-zA-Z_][a-zA-Z_0-9]*@/!b' && cat $tmp/subs.frag) >$tmp/subs-$ac_sed_frag.sed
546      if test -z "$ac_sed_cmds"; then
547	ac_sed_cmds="sed -f $tmp/subs-$ac_sed_frag.sed"
548      else
549	ac_sed_cmds="$ac_sed_cmds | sed -f $tmp/subs-$ac_sed_frag.sed"
550      fi
551      ac_sed_frag=`expr $ac_sed_frag + 1`
552      ac_beg=$ac_end
553      ac_end=`expr $ac_end + $ac_max_sed_lines`
554    fi
555  done
556  if test -z "$ac_sed_cmds"; then
557    ac_sed_cmds=cat
558  fi
559fi # test -n "$CONFIG_FILES"
560
561for ac_file in : $CONFIG_FILES; do test "x$ac_file" = x: && continue
562  # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
563  case $ac_file in
564  - | *:- | *:-:* ) # input from stdin
565	cat >$tmp/stdin
566	ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
567	ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
568  *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
569	ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
570  * )   ac_file_in=$ac_file.in ;;
571  esac
572
573  # Compute @srcdir@, @top_srcdir@, and @INSTALL@ for subdirectories.
574  ac_dir=`(dirname "$ac_file") 2>/dev/null ||
575$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
576	 X"$ac_file" : 'X\(//\)[^/]' \| \
577	 X"$ac_file" : 'X\(//\)$' \| \
578	 X"$ac_file" : 'X\(/\)' \| \
579	 .     : '\(.\)' 2>/dev/null ||
580echo X"$ac_file" |
581    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
582  	  /^X\(\/\/\)[^/].*/{ s//\1/; q; }
583  	  /^X\(\/\/\)$/{ s//\1/; q; }
584  	  /^X\(\/\).*/{ s//\1/; q; }
585  	  s/.*/./; q'`
586  { if $as_mkdir_p; then
587    mkdir -p "$ac_dir"
588  else
589    as_dir="$ac_dir"
590    as_dirs=
591    while test ! -d "$as_dir"; do
592      as_dirs="$as_dir $as_dirs"
593      as_dir=`(dirname "$as_dir") 2>/dev/null ||
594$as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
595	 X"$as_dir" : 'X\(//\)[^/]' \| \
596	 X"$as_dir" : 'X\(//\)$' \| \
597	 X"$as_dir" : 'X\(/\)' \| \
598	 .     : '\(.\)' 2>/dev/null ||
599echo X"$as_dir" |
600    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
601  	  /^X\(\/\/\)[^/].*/{ s//\1/; q; }
602  	  /^X\(\/\/\)$/{ s//\1/; q; }
603  	  /^X\(\/\).*/{ s//\1/; q; }
604  	  s/.*/./; q'`
605    done
606    test ! -n "$as_dirs" || mkdir $as_dirs
607  fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
608echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
609   { (exit 1); exit 1; }; }; }
610
611  ac_builddir=.
612
613if test "$ac_dir" != .; then
614  ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
615  # A "../" for each directory in $ac_dir_suffix.
616  ac_top_builddir=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,../,g'`
617else
618  ac_dir_suffix= ac_top_builddir=
619fi
620
621case $srcdir in
622  .)  # No --srcdir option.  We are building in place.
623    ac_srcdir=.
624    if test -z "$ac_top_builddir"; then
625       ac_top_srcdir=.
626    else
627       ac_top_srcdir=`echo $ac_top_builddir | sed 's,/$,,'`
628    fi ;;
629  [\\/]* | ?:[\\/]* )  # Absolute path.
630    ac_srcdir=$srcdir$ac_dir_suffix;
631    ac_top_srcdir=$srcdir ;;
632  *) # Relative path.
633    ac_srcdir=$ac_top_builddir$srcdir$ac_dir_suffix
634    ac_top_srcdir=$ac_top_builddir$srcdir ;;
635esac
636
637# Do not use `cd foo && pwd` to compute absolute paths, because
638# the directories may not exist.
639case `pwd` in
640.) ac_abs_builddir="$ac_dir";;
641*)
642  case "$ac_dir" in
643  .) ac_abs_builddir=`pwd`;;
644  [\\/]* | ?:[\\/]* ) ac_abs_builddir="$ac_dir";;
645  *) ac_abs_builddir=`pwd`/"$ac_dir";;
646  esac;;
647esac
648case $ac_abs_builddir in
649.) ac_abs_top_builddir=${ac_top_builddir}.;;
650*)
651  case ${ac_top_builddir}. in
652  .) ac_abs_top_builddir=$ac_abs_builddir;;
653  [\\/]* | ?:[\\/]* ) ac_abs_top_builddir=${ac_top_builddir}.;;
654  *) ac_abs_top_builddir=$ac_abs_builddir/${ac_top_builddir}.;;
655  esac;;
656esac
657case $ac_abs_builddir in
658.) ac_abs_srcdir=$ac_srcdir;;
659*)
660  case $ac_srcdir in
661  .) ac_abs_srcdir=$ac_abs_builddir;;
662  [\\/]* | ?:[\\/]* ) ac_abs_srcdir=$ac_srcdir;;
663  *) ac_abs_srcdir=$ac_abs_builddir/$ac_srcdir;;
664  esac;;
665esac
666case $ac_abs_builddir in
667.) ac_abs_top_srcdir=$ac_top_srcdir;;
668*)
669  case $ac_top_srcdir in
670  .) ac_abs_top_srcdir=$ac_abs_builddir;;
671  [\\/]* | ?:[\\/]* ) ac_abs_top_srcdir=$ac_top_srcdir;;
672  *) ac_abs_top_srcdir=$ac_abs_builddir/$ac_top_srcdir;;
673  esac;;
674esac
675
676
677  case $INSTALL in
678  [\\/$]* | ?:[\\/]* ) ac_INSTALL=$INSTALL ;;
679  *) ac_INSTALL=$ac_top_builddir$INSTALL ;;
680  esac
681
682  if test x"$ac_file" != x-; then
683    { echo "$as_me:$LINENO: creating $ac_file" >&5
684echo "$as_me: creating $ac_file" >&6;}
685    rm -f "$ac_file"
686  fi
687  # Let's still pretend it is `configure' which instantiates (i.e., don't
688  # use $as_me), people would be surprised to read:
689  #    /* config.h.  Generated by config.status.  */
690  if test x"$ac_file" = x-; then
691    configure_input=
692  else
693    configure_input="$ac_file.  "
694  fi
695  configure_input=$configure_input"Generated from `echo $ac_file_in |
696				     sed 's,.*/,,'` by configure."
697
698  # First look for the input files in the build tree, otherwise in the
699  # src tree.
700  ac_file_inputs=`IFS=:
701    for f in $ac_file_in; do
702      case $f in
703      -) echo $tmp/stdin ;;
704      [\\/$]*)
705	 # Absolute (can't be DOS-style, as IFS=:)
706	 test -f "$f" || { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
707echo "$as_me: error: cannot find input file: $f" >&2;}
708   { (exit 1); exit 1; }; }
709	 echo "$f";;
710      *) # Relative
711	 if test -f "$f"; then
712	   # Build tree
713	   echo "$f"
714	 elif test -f "$srcdir/$f"; then
715	   # Source tree
716	   echo "$srcdir/$f"
717	 else
718	   # /dev/null tree
719	   { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
720echo "$as_me: error: cannot find input file: $f" >&2;}
721   { (exit 1); exit 1; }; }
722	 fi;;
723      esac
724    done` || { (exit 1); exit 1; }
725  sed "/^[	 ]*VPATH[	 ]*=/{
726s/:*\$(srcdir):*/:/;
727s/:*\${srcdir}:*/:/;
728s/:*@srcdir@:*/:/;
729s/^\([^=]*=[	 ]*\):*/\1/;
730s/:*$//;
731s/^[^=]*=[	 ]*$//;
732}
733
734:t
735/@[a-zA-Z_][a-zA-Z_0-9]*@/!b
736s,@configure_input@,$configure_input,;t t
737s,@srcdir@,$ac_srcdir,;t t
738s,@abs_srcdir@,$ac_abs_srcdir,;t t
739s,@top_srcdir@,$ac_top_srcdir,;t t
740s,@abs_top_srcdir@,$ac_abs_top_srcdir,;t t
741s,@builddir@,$ac_builddir,;t t
742s,@abs_builddir@,$ac_abs_builddir,;t t
743s,@top_builddir@,$ac_top_builddir,;t t
744s,@abs_top_builddir@,$ac_abs_top_builddir,;t t
745s,@INSTALL@,$ac_INSTALL,;t t
746" $ac_file_inputs | (eval "$ac_sed_cmds") >$tmp/out
747  rm -f $tmp/stdin
748  if test x"$ac_file" != x-; then
749    mv $tmp/out $ac_file
750  else
751    cat $tmp/out
752    rm -f $tmp/out
753  fi
754
755done
756
757#
758# CONFIG_HEADER section.
759#
760
761# These sed commands are passed to sed as "A NAME B NAME C VALUE D", where
762# NAME is the cpp macro being defined and VALUE is the value it is being given.
763#
764# ac_d sets the value in "#define NAME VALUE" lines.
765ac_dA='s,^\([	 ]*\)#\([	 ]*define[	 ][	 ]*\)'
766ac_dB='[	 ].*$,\1#\2'
767ac_dC=' '
768ac_dD=',;t'
769# ac_u turns "#undef NAME" without trailing blanks into "#define NAME VALUE".
770ac_uA='s,^\([	 ]*\)#\([	 ]*\)undef\([	 ][	 ]*\)'
771ac_uB='$,\1#\2define\3'
772ac_uC=' '
773ac_uD=',;t'
774
775for ac_file in : $CONFIG_HEADERS; do test "x$ac_file" = x: && continue
776  # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
777  case $ac_file in
778  - | *:- | *:-:* ) # input from stdin
779	cat >$tmp/stdin
780	ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
781	ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
782  *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
783	ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
784  * )   ac_file_in=$ac_file.in ;;
785  esac
786
787  test x"$ac_file" != x- && { echo "$as_me:$LINENO: creating $ac_file" >&5
788echo "$as_me: creating $ac_file" >&6;}
789
790  # First look for the input files in the build tree, otherwise in the
791  # src tree.
792  ac_file_inputs=`IFS=:
793    for f in $ac_file_in; do
794      case $f in
795      -) echo $tmp/stdin ;;
796      [\\/$]*)
797	 # Absolute (can't be DOS-style, as IFS=:)
798	 test -f "$f" || { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
799echo "$as_me: error: cannot find input file: $f" >&2;}
800   { (exit 1); exit 1; }; }
801	 # Do quote $f, to prevent DOS paths from being IFS'd.
802	 echo "$f";;
803      *) # Relative
804	 if test -f "$f"; then
805	   # Build tree
806	   echo "$f"
807	 elif test -f "$srcdir/$f"; then
808	   # Source tree
809	   echo "$srcdir/$f"
810	 else
811	   # /dev/null tree
812	   { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
813echo "$as_me: error: cannot find input file: $f" >&2;}
814   { (exit 1); exit 1; }; }
815	 fi;;
816      esac
817    done` || { (exit 1); exit 1; }
818  # Remove the trailing spaces.
819  sed 's/[	 ]*$//' $ac_file_inputs >$tmp/in
820
821  # Handle all the #define templates only if necessary.
822  if grep "^[	 ]*#[	 ]*define" $tmp/in >/dev/null; then
823  # If there are no defines, we may have an empty if/fi
824  :
825  cat >$tmp/defines.sed <<CEOF
826/^[	 ]*#[	 ]*define/!b
827t clr
828: clr
829${ac_dA}PACKAGE_NAME${ac_dB}PACKAGE_NAME${ac_dC}"expat"${ac_dD}
830${ac_dA}PACKAGE_TARNAME${ac_dB}PACKAGE_TARNAME${ac_dC}"expat"${ac_dD}
831${ac_dA}PACKAGE_VERSION${ac_dB}PACKAGE_VERSION${ac_dC}"2.0.1"${ac_dD}
832${ac_dA}PACKAGE_STRING${ac_dB}PACKAGE_STRING${ac_dC}"expat 2.0.1"${ac_dD}
833${ac_dA}PACKAGE_BUGREPORT${ac_dB}PACKAGE_BUGREPORT${ac_dC}"expat-bugs@libexpat.org"${ac_dD}
834${ac_dA}STDC_HEADERS${ac_dB}STDC_HEADERS${ac_dC}1${ac_dD}
835${ac_dA}HAVE_SYS_TYPES_H${ac_dB}HAVE_SYS_TYPES_H${ac_dC}1${ac_dD}
836${ac_dA}HAVE_SYS_STAT_H${ac_dB}HAVE_SYS_STAT_H${ac_dC}1${ac_dD}
837${ac_dA}HAVE_STDLIB_H${ac_dB}HAVE_STDLIB_H${ac_dC}1${ac_dD}
838${ac_dA}HAVE_STRING_H${ac_dB}HAVE_STRING_H${ac_dC}1${ac_dD}
839${ac_dA}HAVE_MEMORY_H${ac_dB}HAVE_MEMORY_H${ac_dC}1${ac_dD}
840${ac_dA}HAVE_STRINGS_H${ac_dB}HAVE_STRINGS_H${ac_dC}1${ac_dD}
841${ac_dA}HAVE_INTTYPES_H${ac_dB}HAVE_INTTYPES_H${ac_dC}1${ac_dD}
842${ac_dA}HAVE_STDINT_H${ac_dB}HAVE_STDINT_H${ac_dC}1${ac_dD}
843${ac_dA}HAVE_UNISTD_H${ac_dB}HAVE_UNISTD_H${ac_dC}1${ac_dD}
844${ac_dA}HAVE_DLFCN_H${ac_dB}HAVE_DLFCN_H${ac_dC}1${ac_dD}
845${ac_dA}STDC_HEADERS${ac_dB}STDC_HEADERS${ac_dC}1${ac_dD}
846${ac_dA}BYTEORDER${ac_dB}BYTEORDER${ac_dC}1234${ac_dD}
847${ac_dA}HAVE_MEMMOVE${ac_dB}HAVE_MEMMOVE${ac_dC}1${ac_dD}
848${ac_dA}HAVE_BCOPY${ac_dB}HAVE_BCOPY${ac_dC}1${ac_dD}
849${ac_dA}HAVE_FCNTL_H${ac_dB}HAVE_FCNTL_H${ac_dC}1${ac_dD}
850${ac_dA}HAVE_UNISTD_H${ac_dB}HAVE_UNISTD_H${ac_dC}1${ac_dD}
851${ac_dA}HAVE_STDLIB_H${ac_dB}HAVE_STDLIB_H${ac_dC}1${ac_dD}
852${ac_dA}HAVE_UNISTD_H${ac_dB}HAVE_UNISTD_H${ac_dC}1${ac_dD}
853${ac_dA}HAVE_GETPAGESIZE${ac_dB}HAVE_GETPAGESIZE${ac_dC}1${ac_dD}
854${ac_dA}XML_NS${ac_dB}XML_NS${ac_dC}1${ac_dD}
855${ac_dA}XML_DTD${ac_dB}XML_DTD${ac_dC}1${ac_dD}
856${ac_dA}XML_CONTEXT_BYTES${ac_dB}XML_CONTEXT_BYTES${ac_dC}1024${ac_dD}
857CEOF
858  sed -f $tmp/defines.sed $tmp/in >$tmp/out
859  rm -f $tmp/in
860  mv $tmp/out $tmp/in
861
862  fi # grep
863
864  # Handle all the #undef templates
865  cat >$tmp/undefs.sed <<CEOF
866/^[	 ]*#[	 ]*undef/!b
867t clr
868: clr
869${ac_uA}PACKAGE_NAME${ac_uB}PACKAGE_NAME${ac_uC}"expat"${ac_uD}
870${ac_uA}PACKAGE_TARNAME${ac_uB}PACKAGE_TARNAME${ac_uC}"expat"${ac_uD}
871${ac_uA}PACKAGE_VERSION${ac_uB}PACKAGE_VERSION${ac_uC}"2.0.1"${ac_uD}
872${ac_uA}PACKAGE_STRING${ac_uB}PACKAGE_STRING${ac_uC}"expat 2.0.1"${ac_uD}
873${ac_uA}PACKAGE_BUGREPORT${ac_uB}PACKAGE_BUGREPORT${ac_uC}"expat-bugs@libexpat.org"${ac_uD}
874${ac_uA}STDC_HEADERS${ac_uB}STDC_HEADERS${ac_uC}1${ac_uD}
875${ac_uA}HAVE_SYS_TYPES_H${ac_uB}HAVE_SYS_TYPES_H${ac_uC}1${ac_uD}
876${ac_uA}HAVE_SYS_STAT_H${ac_uB}HAVE_SYS_STAT_H${ac_uC}1${ac_uD}
877${ac_uA}HAVE_STDLIB_H${ac_uB}HAVE_STDLIB_H${ac_uC}1${ac_uD}
878${ac_uA}HAVE_STRING_H${ac_uB}HAVE_STRING_H${ac_uC}1${ac_uD}
879${ac_uA}HAVE_MEMORY_H${ac_uB}HAVE_MEMORY_H${ac_uC}1${ac_uD}
880${ac_uA}HAVE_STRINGS_H${ac_uB}HAVE_STRINGS_H${ac_uC}1${ac_uD}
881${ac_uA}HAVE_INTTYPES_H${ac_uB}HAVE_INTTYPES_H${ac_uC}1${ac_uD}
882${ac_uA}HAVE_STDINT_H${ac_uB}HAVE_STDINT_H${ac_uC}1${ac_uD}
883${ac_uA}HAVE_UNISTD_H${ac_uB}HAVE_UNISTD_H${ac_uC}1${ac_uD}
884${ac_uA}HAVE_DLFCN_H${ac_uB}HAVE_DLFCN_H${ac_uC}1${ac_uD}
885${ac_uA}STDC_HEADERS${ac_uB}STDC_HEADERS${ac_uC}1${ac_uD}
886${ac_uA}BYTEORDER${ac_uB}BYTEORDER${ac_uC}1234${ac_uD}
887${ac_uA}HAVE_MEMMOVE${ac_uB}HAVE_MEMMOVE${ac_uC}1${ac_uD}
888${ac_uA}HAVE_BCOPY${ac_uB}HAVE_BCOPY${ac_uC}1${ac_uD}
889${ac_uA}HAVE_FCNTL_H${ac_uB}HAVE_FCNTL_H${ac_uC}1${ac_uD}
890${ac_uA}HAVE_UNISTD_H${ac_uB}HAVE_UNISTD_H${ac_uC}1${ac_uD}
891${ac_uA}HAVE_STDLIB_H${ac_uB}HAVE_STDLIB_H${ac_uC}1${ac_uD}
892${ac_uA}HAVE_UNISTD_H${ac_uB}HAVE_UNISTD_H${ac_uC}1${ac_uD}
893${ac_uA}HAVE_GETPAGESIZE${ac_uB}HAVE_GETPAGESIZE${ac_uC}1${ac_uD}
894${ac_uA}XML_NS${ac_uB}XML_NS${ac_uC}1${ac_uD}
895${ac_uA}XML_DTD${ac_uB}XML_DTD${ac_uC}1${ac_uD}
896${ac_uA}XML_CONTEXT_BYTES${ac_uB}XML_CONTEXT_BYTES${ac_uC}1024${ac_uD}
897s,^[	 ]*#[	 ]*undef[	 ][	 ]*[a-zA-Z_][a-zA-Z_0-9]*,/* & */,
898CEOF
899  sed -f $tmp/undefs.sed $tmp/in >$tmp/out
900  rm -f $tmp/in
901  mv $tmp/out $tmp/in
902
903  # Let's still pretend it is `configure' which instantiates (i.e., don't
904  # use $as_me), people would be surprised to read:
905  #    /* config.h.  Generated by config.status.  */
906  if test x"$ac_file" = x-; then
907    echo "/* Generated by configure.  */" >$tmp/config.h
908  else
909    echo "/* $ac_file.  Generated by configure.  */" >$tmp/config.h
910  fi
911  cat $tmp/in >>$tmp/config.h
912  rm -f $tmp/in
913  if test x"$ac_file" != x-; then
914    if diff $ac_file $tmp/config.h >/dev/null 2>&1; then
915      { echo "$as_me:$LINENO: $ac_file is unchanged" >&5
916echo "$as_me: $ac_file is unchanged" >&6;}
917    else
918      ac_dir=`(dirname "$ac_file") 2>/dev/null ||
919$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
920	 X"$ac_file" : 'X\(//\)[^/]' \| \
921	 X"$ac_file" : 'X\(//\)$' \| \
922	 X"$ac_file" : 'X\(/\)' \| \
923	 .     : '\(.\)' 2>/dev/null ||
924echo X"$ac_file" |
925    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
926  	  /^X\(\/\/\)[^/].*/{ s//\1/; q; }
927  	  /^X\(\/\/\)$/{ s//\1/; q; }
928  	  /^X\(\/\).*/{ s//\1/; q; }
929  	  s/.*/./; q'`
930      { if $as_mkdir_p; then
931    mkdir -p "$ac_dir"
932  else
933    as_dir="$ac_dir"
934    as_dirs=
935    while test ! -d "$as_dir"; do
936      as_dirs="$as_dir $as_dirs"
937      as_dir=`(dirname "$as_dir") 2>/dev/null ||
938$as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
939	 X"$as_dir" : 'X\(//\)[^/]' \| \
940	 X"$as_dir" : 'X\(//\)$' \| \
941	 X"$as_dir" : 'X\(/\)' \| \
942	 .     : '\(.\)' 2>/dev/null ||
943echo X"$as_dir" |
944    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
945  	  /^X\(\/\/\)[^/].*/{ s//\1/; q; }
946  	  /^X\(\/\/\)$/{ s//\1/; q; }
947  	  /^X\(\/\).*/{ s//\1/; q; }
948  	  s/.*/./; q'`
949    done
950    test ! -n "$as_dirs" || mkdir $as_dirs
951  fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
952echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
953   { (exit 1); exit 1; }; }; }
954
955      rm -f $ac_file
956      mv $tmp/config.h $ac_file
957    fi
958  else
959    cat $tmp/config.h
960    rm -f $tmp/config.h
961  fi
962done
963
964{ (exit 0); exit 0; }
965